
; data tables
	include	"tables.asm"
	include "diatbl.asm"

TetrisGen
	incbin "bin_data\tetris.gen"
TetrisCor
	incbin "bin_data\tetris.cor"

APUmain
	incbin "bin_data\ffmain.apu"
	incbin "bin_data\preload.apu"
APUmain_fin

APUload
	incbin "bin_data\mainload.apu"
APUload_fin

RandomTable
	incbin "bin_data\random.tbl"

TextTbl
	incbin "bin_data\text.tbl"

SpritePal
	incbin "bin_data\sprite.pal"
FontPal
	incbin "bin_data\font.pal"
LabPal
	incbin "bin_data\lab.pal"
RedPal
	incbin "bin_data\fontr.pal"
BluePal
	incbin "bin_data\fontb.pal"
GreenPal
	incbin "bin_data\fontg.pal"
ScientistPal
	incbin "bin_data\doc.pal"
MinouPal
	incbin "bin_data\minou.pal"
AndiPal
	incbin "bin_data\andi.pal"
KatrinPal
	incbin "bin_data\kathrin.pal"
VsPal
	incbin "bin_data\vs.pal"
CastlePal
	incbin "bin_data\catle.pal"
bgpal1
	incbin "bin_data\bg1.pal"
bgpal2
	incbin "bin_data\bg0.pal"
BattlePal
	incbin "bin_data\bat.pal"
TobiPal
	incbin "bin_data\tobi.pal"

; -----------------------------------
; Catridge Header Data
;	  .					  . 
pad $FFC0
dc.b "KATHRIN VS MINOU     "			; Name (21 bytes)
dc.b $20								; LoRom & SlowRow (200ns)
dc.b $00								; No SRAM, No Special chip
dc.b $09								; 4Mbit ROM
dc.b $00								; SRAM size = 0
dc.b $09								; Country : Germany
dc.b $C3								; Manufacturer : Square Soft
dc.b $01								; Version 1.1
dc.w $0000								; inversed checksum placeholder
dc.w $FFFF								; checksum placeholder
pad $FFE4
dc.w verticalBlankInterrupt				; vertical blank interrupt vector
pad $FFE8
dc.w verticalBlankInterrupt				; vertical blank interrupt vector
pad $FFEA
dc.w verticalBlankInterrupt				; vertical blank interrupt vector
pad $FFF4
dc.w verticalBlankInterrupt				; vertical blank interrupt vector
dc.w verticalBlankInterrupt				; vertical blank interrupt vector
dc.w verticalBlankInterrupt				; vertical blank interrupt vector
dc.w verticalBlankInterrupt				; vertical blank interrupt vector
dc.w programStart						; run/reset vector
pad
;
; -----------------------------------

; bigger data
TextBin
	incbin "bin_data\text.bin"
IntroHi
	incbin "bin_data\intro.hi"
PlayFxHi
	incbin "bin_data\playfx.hi"
spriteset1
	incbin "bin_data\sprite.til"
labmap1
	incbin "bin_data\lab.map"
labmap2
	incbin "bin_data\labm.map"
labtiles
	incbin "bin_data\labm.til"
LabHi
	incbin "bin_data\lab.hi"
kstat1
	incbin "bin_data\kstatus1.map"
kstat2
	incbin "bin_data\kstatus2.map"
kstat3
	incbin "bin_data\kstatus3.map"
EdgarHi
	incbin "bin_data\edgar.hi"
mstat1
	incbin "bin_data\mstatus1.map"
mstat2
	incbin "bin_data\mstatus2.map"
mstat3
	incbin "bin_data\mstatus3.map"
minou
	incbin "bin_data\minou.til"
scientist
	incbin "bin_data\doc.til"
andi
	incbin "bin_data\andi.til"
katrin
	incbin "bin_data\kathrin.til"
ForestHi
	incbin "bin_data\forest.hi"
vsmap
	incbin "bin_data\vs.map"
vstiles
	incbin "bin_data\vs.til"
font1
	incbin "bin_data\catle.til"
castlemap
	incbin "bin_data\catle.map"
bgmap1
	incbin "bin_data\bg1.map"
bgtile1
	incbin "bin_data\bg1.til"
lvlmap1
	incbin "bin_data\level1.map"
celeshi
	incbin "bin_data\celes.hi"
bgmap2
	incbin "bin_data\bg0.map"
bgtile2
	incbin "bin_data\bg0.til"
lvlmap2
	incbin "bin_data\level2.map"
FlyingHi
	incbin "bin_data\flying.hi"
lvlmap3
	incbin "bin_data\level3.map"
battletiles
	incbin "bin_data\bat.til"
battlemap
	incbin "bin_data\bat.map"
battlehi
	incbin "bin_data\battle.hi"
tobitiles
	incbin "bin_data\tobi.til"
