
FinalBattle
	php
	rep #$30
	jsr HideSprites
	jsr ClearScreen
	lda.w #$00e8
	sta.b DialogMagic
	lda.w #Battle
	jsr LoadScene
	lda.w #BattleMusic
	sta.b base
	jsr LoadMusic
	jsr StartMusic
	lda.w #$a848
	sta.b base
	jsr SetupPlayer
	sep #$20
	stz.b PlayerVis
	lda #$03
	sta $2105
	lda #$13
	sta $212c
	jsr DisplayPlayer
	jsr FadeIn
	
	lda #$20
	jsr WaitA
	ldx.w #$70b0
	stx.b adr
	ldx.w #$0088
	stx.b base
	jsr SpriteSetup
	lda #$70
	jsr WaitA
	ldx.w #$8088
	stx.b base
	jsr SpriteSetup
	lda #$20
	jsr WaitA
	
	ldx.w #MinouDlg
	stx.b adr
	lda #$13
	jsr DoDialog
	ldx.w #MinouDlg
	stx.b adr
	lda #$14
	jsr DoDialog
	ldx.w #standtable
	stx.b adr
	jsr TableSetup
	jsr DisplayPlayer
	lda #$80
	jsr WaitA
	jsr ResetPlayer
	jsr DisplayPlayer
	lda #$50
	jsr WaitA
	ldx.w #KatrinDlg
	stx.b adr
	lda #$15
	jsr DoDialog
	ldx.w #MinouDlg
	stx.b adr
	lda #$16
	jsr DoDialog
	
	jsr ClearScreen
	ldx.w #Battle
	jsr LoadMap0
	lda #$20
	jsr WaitA
	ldx.w #wackeltable2
	stx.b adr
	jsr Wackel0
	jsr Wackel0

	ldx.w #$e045
	stx.b adr
	ldx.w #$10c4
	stx.b base
tfa_loop
	wai
	jsr SpriteSetup
	lda.b adr+$01
	clc
	adc.b #$03
	sta.b adr+$01
	cmp #$d0
	bcs tfa_loop
	cmp #$8e
	bcc tfa_loop

	ldx.w #lietable
	stx.b adr
	jsr TableSetup
	jsr DisplayPlayer
	ldx.w #$a245
	stx.b adr
	jsr SpriteSetup
	
	lda #$50
	jsr WaitA

	ldx.w #MinouDlg
	stx.b adr
	lda #$17
	jsr DoDialog
			
	jsr FFfade
	jsr StopMusic
	jsr FadeOut
	plp
	rts

Dead
	php
	sep #$20
	rep #$10
	jsr HideSprites
	jsr GameOver
	plp
	rts

Extro
	php
	rep #$30
	lda.w #Flying
	sta.w base
	jsr LoadMusic
	jsr StartMusic
	jsr ClearScreen
	jsr ClearScreen0
	sep #$20
	lda #$13
	sta $212c
	lda #$03
	sta $2105
	
	jsr FadeIn
	lda #$40
	jsr WaitA
	ldx.w #TobiDlg
	stx.w adr
	lda #$19
	jsr DoDialog
	ldx.w #TobiDlg
	stx.w adr
	lda #$1a
	jsr DoDialog
	ldx.w #TobiDlg
	stx.w adr
	lda #$1b
	jsr DoDialog
	
	jsr FadeOut
	jsr ClearScreen
	jsr ClearScreen0
	jsr HideSprites
	jsr VideoOn
	lda #$50
	jsr WaitA
	jsr VideoOff
	jsr FadeIn
	ldx.w #AndiDlg
	stx.w adr
	lda #$11
	jsr DoDialog
	jsr FadeOut
	
	jsr ClearScreen
	jsr ClearScreen0
	jsr VideoOn
	lda #$50
	jsr WaitA
	jsr VideoOff
	
	ldx.w #GreenPal
	stx.b base
	lda #$1c
	ldx.w #$0000
	jsr TextScreen

	ldx.w #$1d
	stx.b base
	ldx.w #$0021
	stx.b adr
	jsr PrintText
	lda #$02
	sta $212c
	jsr FadeIn
	lda #$40
	jsr WaitA
	jsr FFfade

	plp
	rts