
;equates
	DialogMagic		equ lastvar5
	lastvar6		equ DialogMagic+$02

	DialogPic		equ $5ce0
	DialogName		equ $00c1
	DialogText		equ $0027


DoDialog
	php
	sep #$20
	stz.b FontUsePal
	jsr ShowDialog
dodlg_loop
	wai
	jsr FontUpdate
	lda.b FontWait
	BNE dodlg_loop
	lda #$b0
	jsr WaitA
	
	plp
	rts

ShowDialog					; adr = Dialog struct, A = text nr.
	php
	rep #$20
	and.w #$00FF
	pha
	lda.w adr
	pha
	jsr ForceBlank
	lda.w #DialogPic
	sta.b base
	ldy.w #$0004
	lda (adr),Y
	sta.b bank
	ldy.w #$0002
	lda (adr),Y
	sta.b adr
	jsr LoadTiles
	pla
	pha
	sta.b adr
	lda.b (adr)
	sta.b adr
	lda.w #$0040
	sta.b base
	lda.w #$00c0
	jsr LoadPalette
	jsr SetupDialog
	pla
	sta.b adr
	ldy.w #$0006
	lda (adr),Y
	sta.b base
	lda.w #DialogName
	sta.b adr
	jsr PrintText
	pla
	sta.b base
	lda.w #DialogText
	sta.b adr
	jsr SetupText
	jsr UnBlank
	plp
	rts

SetupDialog
	php
	rep #$30
	lda.w #$7800
	sta $2116
	ldx.w #$0140
	lda.b DialogMagic
sd_loop1
	sta $2118
	dex
	BNE sd_loop1			; Setup Dialog background
	lda.w #$7c00
	sta $2116
	lda.w #$2059
	sta $2118
	ldx.w #$001e
	lda.w #$205A
sd_loop2
	sta $2118
	dex
	BNE sd_loop2			; first line
	lda.w #$6059
	sta $2118
	ldx.w #$00
sd_mloop
	txa
	and.w #$001f
	BEQ sd_front
	cmp.w #$001f
	BEQ sd_back
	stz $2118
sd_cont
	inx
	cpx.w #$0100
	BNE sd_mloop
	BRA sd_last
sd_front
	lda.w #$205B
	sta $2118
	BRA sd_cont
sd_back
	lda.w #$605B
	sta $2118
	BRA sd_cont
sd_last
	lda.w #$a059
	sta $2118
	ldx.w #$001e
	lda.w #$a05A
sd_loop3
	sta $2118
	dex
	BNE sd_loop3			; last line
	lda.w #$E059
	sta $2118
	jsr LoadDlgPic
	plp
	rts

LoadDlgPic
	php
	rep #$30
	lda.w #$7821
	sta $2116
	ldx.w #$0005
	ldy.w #$0167
sd_ldpic
	sty $2118
	iny
	dex
	BNE sd_oldline
	ldx.w #$0005
	adc.w #$0020
	sta $2116
sd_oldline
	cpy.w #$0180
	BNE sd_ldpic
	plp
	rts

MagicClear
	php
	rep #$30
	ldx.w #$0400
	lda.w #$7800
	sta $2116
	lda.b DialogMagic
mclr_loop
	sta $2118
	dex
	bne mclr_loop
	plp
	rts
